## GESTextOverlay GESTextOverlay — render text onto another video stream in a GESLayer |

## Functions

GESTextOverlay * | ges_text_overlay_new ()
void | ges_text_overlay_set_text ()
void | ges_text_overlay_set_font_desc ()
void | ges_text_overlay_set_halignment ()
void | ges_text_overlay_set_valignment ()
void | ges_text_overlay_set_color ()
void | ges_text_overlay_set_xpos ()
void | ges_text_overlay_set_ypos ()
const gchar * | ges_text_overlay_get_text ()
const char * | ges_text_overlay_get_font_desc ()
GESTextHAlign | ges_text_overlay_get_halignment ()
GESTextVAlign | ges_text_overlay_get_valignment ()
const guint32 | ges_text_overlay_get_color ()
const gdouble | ges_text_overlay_get_xpos ()
const gdouble | ges_text_overlay_get_ypos ()

## Types and Values

| GESTextOverlay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESOperation
                        ╰── GESTextOverlay

## Implemented Interfaces

GESTextOverlay implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

### ges_text_overlay_new ()

    GESTextOverlay *
    ges_text_overlay_new (void);

Creates a new GESTextOverlay.

#### Returns

The newly created GESTextOverlay or `NULL` if something went wrong.

[transfer floating][nullable]

### ges_text_overlay_set_text ()

    void
    ges_text_overlay_set_text (GESTextOverlay *self,
                               const gchar *text);

Sets the text this track element will render.

#### Parameters

self | the GESTextOverlay* to set text on |
text | the text to render. an internal copy of this text will be made. |

### ges_text_overlay_set_font_desc ()

    void
    ges_text_overlay_set_font_desc (GESTextOverlay *self,
                                    const gchar *font_desc);

Sets the pango font description of the text this track element will render.

#### Parameters

self | the GESTextOverlay |
font_desc | the pango font description |

### ges_text_overlay_set_halignment ()

    void
    ges_text_overlay_set_halignment (GESTextOverlay *self,
                                     GESTextHAlign halign);

Sets the horizontal aligment of the text.

#### Parameters

self | the GESTextOverlay* to set text on |
halign | The GESTextHAlign defining the horizontal alignment of the text render by `self` . |

### ges_text_overlay_set_valignment ()

    void
    ges_text_overlay_set_valignment (GESTextOverlay *self,
                                     GESTextVAlign valign);

Sets the vertical aligment of the text.

#### Parameters

self | the GESTextOverlay* to set text on |
valign | The GESTextVAlign defining the vertical alignment of the text render by `self` . |

### ges_text_overlay_set_color ()

    void
    ges_text_overlay_set_color (GESTextOverlay *self,
                                guint32 color);

Sets the color of the text.

#### Parameters

self | the GESTextOverlay* to set |
color | The color `self` is being set to |

### ges_text_overlay_set_xpos ()

    void
    ges_text_overlay_set_xpos (GESTextOverlay *self,
                               gdouble position);

Sets the horizontal position of the text.

#### Parameters

self | the GESTextOverlay* to set |
position | The horizontal position `self` is being set to |

### ges_text_overlay_set_ypos ()

    void
    ges_text_overlay_set_ypos (GESTextOverlay *self,
                               gdouble position);

Sets the vertical position of the text.

#### Parameters

self | the GESTextOverlay* to set |
position | The vertical position `self` is being set to |

### ges_text_overlay_get_text ()

    const gchar *
    ges_text_overlay_get_text (GESTextOverlay *self);

Get the text currently set on `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The text currently set on `source` .

### ges_text_overlay_get_font_desc ()

    const char *
    ges_text_overlay_get_font_desc (GESTextOverlay *self);

Get the pango font description currently set on `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The pango font description currently set on `source` .

### ges_text_overlay_get_halignment ()

    GESTextHAlign
    ges_text_overlay_get_halignment (GESTextOverlay *self);

Get the horizontal aligment used by `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The horizontal aligment used by `source` .

### ges_text_overlay_get_valignment ()

    GESTextVAlign
    ges_text_overlay_get_valignment (GESTextOverlay *self);

Get the vertical aligment used by `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The vertical aligment used by `source` .

### ges_text_overlay_get_color ()

    const guint32
    ges_text_overlay_get_color (GESTextOverlay *self);

Get the color used by `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The color used by `source` .

### ges_text_overlay_get_xpos ()

    const gdouble
    ges_text_overlay_get_xpos (GESTextOverlay *self);

Get the horizontal position used by `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The horizontal position used by `source` .

### ges_text_overlay_get_ypos ()

    const gdouble
    ges_text_overlay_get_ypos (GESTextOverlay *self);

Get the vertical position used by `source` .

#### Parameters

self | a GESTextOverlay |

#### Returns

The vertical position used by `source` .

## Types and Values

### GESTextOverlay

    typedef struct _GESTextOverlay GESTextOverlay;